---
- name: Install machine agent on windows
  hosts: windows
  tasks:
    - name: Include variables for the controller settings
      ansible.builtin.include_vars:
        dir: vars
        extensions:
          - 'yaml'
          - 'yml'
    - ansible.builtin.include_role:
        name: appdynamics.agents.machine
      vars:
        agent_version: 25.9.0.4908
        agent_type: machine
        agent_action: install
        sim_enabled: 'true'
        autostart_agent: 'true'
        download_protocol: http
        download_uri: http://<servidor_passo_2>/agent/machineagent-bundle-64bit-windows-25.9.0.4908.zip
        node_name: '{{ansible_host}}_node'
        enable_analytics_agent: 'false'
